logiz1=bool(56)
print(f"{logiz1}\n")

logiz2=bool(0)
print(f"{logiz2}\n")

logiz3=bool("Beta")
print(f"{logiz3}\n")

logiz4=bool("")
print(f"{logiz4}\n")



tt1=int(198.6) #Отбрасывается дробная часть
print(f"{tt1}\n")

tt2=int("-76")  #Число – в строке символов, система по умолчанию - десятичная
print(f"{tt2}\n")

tt3=int("B",16)
print(f"{tt3}\n")

tt4=int("71",8)
print(f"{tt4}\n")

tt5=int(float("98.76"))
print(f"{tt5}\n")



flt1=float(789)
print(f"{flt1}\n")

flt2=float(-6.78e2)
print(f"{flt2}\n")

flt3=float("Infinity")
print(f"{flt3}\n")

flt4=float("-inf")
print(f"{flt4}\n")



hh=123
dv1=bin(hh)   #Преобразование в строку с двоичным представлением
print(f"{dv1}\n")

vos1=oct(hh)   # Преобразование в строку с восьмеричным представлением
print(f"{vos1}\n")

shs1=hex(hh)   # Преобразование в строку с шестнадцатеричным представлением
print(f"{shs1}\n")

print(f"{int(dv1, 2)}\n")
print(f"{int(vos1, 8)}\n")
print(f"{int(shs1, 16)}\n")